Bug 1323243 - Io-language: Provide a Python 3 subpackage
Summary: Io-language: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Io-language
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-04-01 15:44 UTC by Tomas Orsava
Modified: 2016-04-06 13:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-06 13:31:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Orsava 2016-04-01 15:44:22 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Gwyn Ciesla 2016-04-05 18:37:10 UTC
The Python addon, included in the main RPM, is currently built only for Python 3.

Comment 2 Tomas Orsava 2016-04-06 10:42:53 UTC
If you take a look at the spec file: http://pkgs.fedoraproject.org/cgit/rpms/Io-language.git/tree/Io-language.spec#n29

There's a build dependency on the `python-devel` package, which is for Python 2. And indeed if I build the package in koji and then list the dependencies of the resulting RPM `rpm -qRp Io-language-extras-20151111-0.e64ff9.fc25.1.x86_64.rpm` it finds a dependency on `libpython2.7.so.1.0()(64bit)`.

Could you change the BuildRequires to `python3-devel`? I tested it and it fixes the issue.

Comment 3 Gwyn Ciesla 2016-04-06 13:31:28 UTC
Ah, so it does.  Done in rawhide, thanks!

Comment 4 Tomas Orsava 2016-04-06 13:33:25 UTC
And thank you for your time!


Note You need to log in before you can comment on or make changes to this bug.